package cz.mendelu.dnaAnalyser.analyse.p53predictor

import cz.mendelu.dnaAnalyser.utils.api.ApiRestTemplate
import cz.mendelu.dnaAnalyser.utils.controller.TagModifyRequest
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import org.springframework.http.HttpStatus
import org.springframework.test.context.ActiveProfiles
import spock.lang.Ignore
import spock.lang.Specification

@Ignore
@ActiveProfiles("test")
@SpringBootTest(webEnvironment = RANDOM_PORT)
class P53predictorControllerTest extends Specification {

    @Autowired
    ApiRestTemplate api

    def setup() {
        api.testAuthentication('P53predictorControllerTest')
    }

    def "POST:/api/analyse/p53predictor/tool Simple P53 analyse for one input"(){
        given: "For simple sequence: GGACATGCCCGGGCATGTCC."
        def request = new P53PredictorController.P53PredictorToolRequest(
                sequence: "GGACATGCCCGGGCATGTCC"
        )

        when: "Send request p53predictor analyse."
        def response = api.post("/api/analyse/p53predictor/tool", request)

        then: "Server has to send 200 response code back."
        response.status == HttpStatus.OK.value()
    }
}

import static org.springframework.boot.test.context.SpringBootTest.WebEnvironment.RANDOM_PORT
